package cn.estsh.i3plus.pojo.andon.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 按照安灯类型统计分组统计当天发生的安灯总次数和安灯超时次数 model
 * @Reference:
 * @Author: Crish
 * @CreateDate:2019-11-12-10:21
 * @Modify:
 **/
@Data
public class AndonBoardModel {

    @ApiParam("安灯类型")
    private String  alarmCode;

    @ApiParam("安灯类型名称")
    private String  alarmName;

    @ApiParam("安灯正常处理的次数")
    private Integer inTime;

    @ApiParam("安灯超时次数")
    private Integer overTime;

    @ApiParam("安灯总次数")
    private Integer totalTime;

    public int getTotalTimeVal() {
        return totalTime == null ? 0 : totalTime;
    }

    public int getOverTimeVal() {
        return overTime == null ? 0 : overTime;
    }

    public int getInTime() {
        return inTime == null ? 0 : inTime;
    }


}
